# oereb-db


```
curl -Ls https://sh.jbang.dev | bash -s - create_schema_sql.java
```
```
jbang edit create_schema_sql.java
```

```
docker build -t sogis/oereb-db:2.0.0 .
```

```
docker buildx create --use
docker buildx build --platform linux/amd64,linux/arm64 --push -t sogis/oereb-db:2.0.0 .
```


```
docker run --rm --name oerebdb -p 54323:5432 -e POSTGRES_PASSWORD=mysecretpassword -e POSTGRES_DB=oereb -e PG_READ_PWD=dmluser -e PG_WRITE_PWD=gretl sogis/oereb-db:latest
docker run --rm --name oerebdb -p 54323:5432 -e POSTGRES_PASSWORD=mysecretpassword -e POSTGRES_DB=oereb sogis/oereb-db:2.0.0
```

```
mkdir -m 0777 ~/pgdata-oereb
mkdir --mode=0777 ~/pgdata-oereb
docker run --rm --name oerebdb -p 54323:5432 -v ~/pgdata-oereb:/var/lib/postgresql/data:delegated -e POSTGRES_PASSWORD=mysecretpassword -e POSTGRES_DB=oereb sogis/oereb-db:2.0.0
```
